#!/usr/bin/env node
const { dirname, sep } = require('path');
const { default: detect, detectBin } = require('./detect');
try {
    const path = dirname(require.resolve(detect())) + sep + detectBin();
    require('child_process').spawn(path, process.argv.slice(2), {
        shell: true,
        stdio: [process.stdin, process.stdout, process.stderr]
    });
} catch (e) {
    console.error(`Zarbis platform module not found by launcher.\nTry to install them via\n$ yarn add --dev ${detect()}`)
}
